# PSF-LoginServer - master - net.psforever.actors.session.SessionActor.ProgressEvent
PSF - LoginServer - master - net.psforever.actors.session.SessionActor.ProgressEvent
Keywords: PSF LoginServer master net.psforever.actors.session.SessionActor.ProgressEvent

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package session
  Definition Classes
    actors
-  object SessionActor
  Definition Classes
    session
- Command
- InstantAction
- Kick
- ProgressEvent
- Quit
- Recall
- ResponseToSelf
- SendResponse
- SetAvatar
- SetConnectionState
- SetFlying
- SetPosition
- SetSilenced
- SetSpectator
- SetSpeed
- SetZone
- SquadUIElement
- Suicide
- UseCooldownRenewed

c

net.psforever.actors.session.SessionActor

# ProgressEvent

###

#### final case class ProgressEvent(delta: Float, completionAction: () => Unit, tickAction: (Float) => Boolean, tickTime: Long = 250) extends Product with Serializable

The message that progresses some form of user-driven activity with a certain eventual outcome and potential feedback per cycle.

delta

  how much the progress value changes each tick, which will be treated as a percentage; must be a positive value

completionAction

  a finalizing action performed once the progress reaches 100(%)

tickAction

  an action that is performed for each increase of progress

tickTime

  how long between each `tickAction` (ms); defaults to 250 milliseconds

Source
  SessionActor.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProgressEvent
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ProgressEvent(delta: Float, completionAction: () => Unit, tickAction: (Float) => Boolean, tickTime: Long = 250)

   delta

     how much the progress value changes each tick, which will be treated as a percentage; must be a positive value

   completionAction

     a finalizing action performed once the progress reaches 100(%)

   tickAction

     an action that is performed for each increase of progress

   tickTime

     how long between each `tickAction` (ms); defaults to 250 milliseconds

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val completionAction: () => Unit
7.  val delta: Float
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  val tickAction: (Float) => Boolean
18.  val tickTime: Long
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped